package com.ruoyi.ss.vipOrder.service;

import com.ruoyi.ss.vipOrder.domain.VipOrderVO;
import com.ruoyi.ss.vipOrder.domain.bo.AddPayVipOrderBO;

/**
 * @author wjh
 * 2025/1/17
 */
public interface VipOrderValidator {

    /**
     * 下单并支付校验
     */
    void preAddAndPay(AddPayVipOrderBO bo);

    /**
     * 判断用户是否可以查看订单
     */
    boolean canView(VipOrderVO order, Long userId);
}
